%% Nilson Tinassi Peres 9150088 
% Controle No Linear Aplicado - Seminrio Sliding Mode
close all
clc

%% Inicializao das Variveis
R_g = 0.100;
R_L = 0.170;
R_SS = 0.015;
R_carga = 40;
C = 10^-3;
L = 0.01;
E = 3.3;
Vf = 0;

%simulink(boostcomperdas)
%% Grficos
figure(1);
plot(corrente, '.b');
grid on
hold on
plot(correntesp, '-r');
legend('Com Perdas','Sem Perdas');
title('Grfico da Corrente');
xlabel('Tempo (s)');
ylabel('i');
axis([0 0.1 0 12])
print('corrente', '-djpeg');

figure(2);
plot(lei_controle, '.b');
grid on
hold on
plot(leicontrolesp, '-r');
legend('Com Perdas','Sem Perdas');
title('Grfico da Lei de Controle');
xlabel('Tempo (s)');
ylabel('u');
axis([0 0.1 0 1])
print('leidecontrole', '-djpeg');

figure(3);
plot(tensao_saida, '.b');
grid on
hold on
plot(tensaosp, '-r');
legend('Com Perdas','Sem Perdas');
title('Grfico da Tenso na Carga');
xlabel('Tempo (s)');
ylabel('V');
print('tensaocarga', '-djpeg');